[![PyPI](https://img.shields.io/pypi/v/cellflow.svg)](https://pypi.org/project/cellflow/)
[![Downloads](https://static.pepy.tech/badge/cell_flow_perturbation)](https://pepy.tech/project/cell_flow_perturbation)
[![CI](https://img.shields.io/github/actions/workflow/status/theislab/cell_flow_perturbation/test.yml?branch=main)](https://github.com/theislab/cell_flow_perturbation/actions)
[![Pre-commit](https://results.pre-commit.ci/badge/github/theislab/cell_flow_perturbation/main.svg)](https://results.pre-commit.ci/latest/github/theislab/cell_flow_perturbation/main)
[![Codecov](https://codecov.io/gh/theislab/cell_flow_perturbation/branch/master/graph/badge.svg?token=Rgtm5Tsblo)](https://codecov.io/gh/theislab/cell_flow_perturbation)
[![Docs](https://img.shields.io/readthedocs/cellflow)](https://cellflow.readthedocs.io/en/latest/)

CellFlow - Modeling Complex Perturbations with Flow Matching
============================================================



**CellFlow** is a framework for predicting phenotypic responses of complex perturbations at the single-cell level.

.. image:: docs/_static/images/cellflow_light.png
    :width: 800px
    :align: center
    :class: only-light


## Example Applications

- Modeling the effect of single and combinatorial drug treatments
- Predicting the phenotypic response to genetic perturbations
- Modeling the development of perturbed organisms
- Cell fate engineering
- Optimizing protocols for growing organoids
- ... and more; check out the [documentation](https://cellflow.readthedocs.io) for more information.


Installation
------------
Install **CellFlow** by running::

    pip install cellflow


In order to install **CellFlow** in editable mode, run::

    git clone https://github.com/theislab/cell_flow_perturbation
    cd cfp
    pip install -e .

For further instructions how to install jax, please refer to https://github.com/google/jax.

Citing CellFlow
---------------
TODO
